#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        Red Flag Linux Management Console
Name:           lmc
Version:        0.7.6
Release:        1
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	lime-common
BuildRequires : lime-common
BuildRequires : qt
BuildRequires : qt-devel
BuildRequires : openwbem-devel

%package devel
Group           : Programming/Library
Summary         : Headers files for LMC
Requires	: lmc

%description
This is a Linux Management Console, just like windows MMC.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%description devel
Headers files for LMC
%prep
%setup -q
%build
%configure
make
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.xpm

%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/lmc
%{_libdir}/pkgconfig/%{name}.pc
/usr/share/pixmaps/%{name}.xpm
%config /usr/share/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%dir %{_datadir}/lmc
%{_datadir}/lmc/*
%{_docdir}/lime/lmc/*.html
%{_docdir}/lime/lmc/*.xml


%Files devel
%defattr(-,root,root)
%{_includedir}/%{name}/*

%changelog
* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.7.6, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lmc-0.7.4-asianux-desktop_categories.patch to CVS, 
- not install desktop file to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lmc-0.7.4-asianux-desktop_categories.patch
- added to BuildRequires: openwbem-devel

* Tue Jul 3 2007  Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.7.5, see also package ChangeLog file for details.

* Mon Jun 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.7.4, see also package ChangeLog file.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Mon May 14 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.7.2-1
- change control panel's desktop file to directory Group2Sys
* Thu Apr 9 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.7.1-1
- add file lmc.pc to package
* Thu Apr 5 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.6.0-2
- add manual files
- add translate file(po)
* Tue Mar 20 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.6.0-1
- add translate file(po)
* Thu Jan 25 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.6.0-1
- initial version for 0.6.0
